<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CMakeRunConfigurationManager" shouldGenerate="true" shouldDeleteObsolete="true">
    <generated>
      <config projectName="Bachelor" targetName="BAgraph" />
      <config projectName="Bachelor" targetName="Bachelor" />
    </generated>
  </component>
  <component name="CMakeSettings">
    <configurations>
      <configuration PROFILE_NAME="Debug" CONFIG_NAME="Debug" />
    </configurations>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="1c9e2c5b-7f02-42e4-a0e7-2f6dbd0b1064" name="Default Changelist" comment="" />
    <ignored path="$PROJECT_DIR$/cmake-build-debug/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ClangdSettings">
    <option name="formatViaClangd" value="false" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="CMakeBuildProfile:Debug" />
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/main.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="4063">
              <caret line="239" column="104" selection-start-line="239" selection-start-column="104" selection-end-line="239" selection-end-column="104" />
              <folding>
                <element signature="e#0#19#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Makefile">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="255">
              <caret line="15" column="55" selection-start-line="15" selection-start-column="55" selection-end-line="15" selection-end-column="55" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/CMakeLists.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="272">
              <caret line="16" column="33" selection-start-line="16" selection-start-column="33" selection-end-line="16" selection-end-column="33" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="CMakeLists.txt" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>contains</find>
      <find>Edge</find>
      <find>erase</find>
      <find>Factory</find>
      <find>auto</find>
      <find>alfa</find>
    </findStrings>
    <replaceStrings>
      <replace />
    </replaceStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/../BAgraph/BAgraph/include/impl/basic/basic_objects.hpp" />
        <option value="$PROJECT_DIR$/redBlackEdges.h" />
        <option value="$PROJECT_DIR$/tests/Makefile" />
        <option value="$PROJECT_DIR$/test_redBlackEdges.cpp" />
        <option value="$PROJECT_DIR$/PathWidth/CMakeLists.txt" />
        <option value="$PROJECT_DIR$/tests/test_redBlackEdges.cpp" />
        <option value="$PROJECT_DIR$/redBlackEdges.cpp" />
        <option value="$PROJECT_DIR$/cutSizeBisection.cpp" />
        <option value="$PROJECT_DIR$/oneHelpfulSet.cpp" />
        <option value="$PROJECT_DIR$/pathDecomposition.cpp" />
        <option value="$PROJECT_DIR$/cmake-build-debug/Makefile" />
        <option value="$PROJECT_DIR$/Makefile" />
        <option value="$PROJECT_DIR$/CMakeLists.txt" />
        <option value="$PROJECT_DIR$/main.cpp" />
      </list>
    </option>
  </component>
  <component name="OCResolveContextSettings">
    <option name="configuration" value="0-BAgraph" />
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-226" />
    <option name="y" value="-11" />
    <option name="width" value="1346" />
    <option name="height" value="688" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="Bachelor" type="b2602c69:ProjectViewProjectNode" />
              <item name="Bachelor" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="cf.advertisement.text.has.clang-format" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/main.cpp" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="settings.editor.selected.configurable" value="CPPToolchains" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\Karol\ClionProjects\Bachelor" />
      <recent name="C:\Users\Karol\ClionProjects\Bachelor\tests" />
      <recent name="C:\Users\Karol\ClionProjects\Bachelor\PathWidth" />
      <recent name="C:\Users\Karol\ClionProjects\Bachelor\tests\basic_tests" />
    </key>
  </component>
  <component name="RunAnythingCache">
    <option name="myCommands">
      <command value="?" />
      <command value="&quot;?&quot;" />
      <command value="Tests" />
    </option>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="CMake Application.Bachelor">
    <configuration name="BAgraph" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" CONFIG_NAME="Debug" RUN_PATH="$PROJECT_DIR$/tests/test_redBlackEdges.cpp" EXPLICIT_BUILD_TARGET_NAME="all">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="Bachelor" type="CMakeRunConfiguration" factoryName="Application" nameIsGenerated="true" PASS_PARENT_ENVS_2="true" PROJECT_NAME="Bachelor" TARGET_NAME="Bachelor" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="Bachelor" RUN_TARGET_NAME="Bachelor">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="Tests" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="Bachelor" TARGET_NAME="gtest" CONFIG_NAME="Debug" RUN_PATH="$PROJECT_DIR$/tests/test_redBlackEdges.cpp">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="CMake Application.BAgraph" />
      <item itemvalue="CMake Application.Bachelor" />
      <item itemvalue="CMake Application.Tests" />
    </list>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="1c9e2c5b-7f02-42e4-a0e7-2f6dbd0b1064" name="Default Changelist" comment="" />
      <created>1554080786446</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1554080786446</updated>
      <workItem from="1554080791817" duration="1675000" />
      <workItem from="1554160246479" duration="4145000" />
      <workItem from="1554295991352" duration="20208000" />
      <workItem from="1554585063453" duration="9854000" />
      <workItem from="1554885963471" duration="19417000" />
      <workItem from="1555316904991" duration="68872000" />
      <workItem from="1556315830277" duration="89136000" />
      <workItem from="1556781660644" duration="51579000" />
      <workItem from="1556970225370" duration="34711000" />
      <workItem from="1557082878333" duration="50402000" />
      <workItem from="1557220715630" duration="6454000" />
      <workItem from="1557354744673" duration="70766000" />
      <workItem from="1557837600085" duration="24643000" />
      <workItem from="1557908965851" duration="11081000" />
      <workItem from="1558045260435" duration="22000" />
      <workItem from="1558175906445" duration="37367000" />
      <workItem from="1558238426802" duration="2333000" />
      <workItem from="1558264793903" duration="9470000" />
      <workItem from="1558285945753" duration="8639000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="520774000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="784" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.28517398" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32872504" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.37480798" />
      <window_info anchor="bottom" id="Debug" order="3" sideWeight="0.49924356" weight="0.5130568" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32872504" />
      <window_info anchor="bottom" id="Database Changes" order="7" />
      <window_info anchor="bottom" id="Messages" order="8" sideWeight="0.49924356" weight="0.33794162" />
      <window_info anchor="bottom" id="Terminal" order="9" sideWeight="0.49924356" weight="0.59907836" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.50075644" side_tool="true" weight="0.30721965" />
      <window_info anchor="bottom" id="Version Control" order="11" />
      <window_info anchor="bottom" id="CMake" order="12" weight="0.32872504" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/redBlackEdges.cpp</url>
          <line>180</line>
          <option name="timeStamp" value="76" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/main.cpp</url>
          <line>228</line>
          <option name="timeStamp" value="88" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
    <watches-manager>
      <configuration name="CMakeRunConfiguration">
        <watch expression="n.n_" />
      </configuration>
    </watches-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/../BAgraph/impl/basic/factory.cpp" />
    <entry file="file://$PROJECT_DIR$/../BAgraph/invariants/cyclic_connectivity.hpp" />
    <entry file="file://$PROJECT_DIR$/../BAgraph/invariants.hpp" />
    <entry file="file://$PROJECT_DIR$/../BAgraph/impl/basic/graph.h" />
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/impl/basic/factory.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="33" column="67" selection-start-line="33" selection-start-column="56" selection-end-line="33" selection-end-column="67" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/impl/basic.hpp">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/impl/basic/include.hpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="3" column="9" lean-forward="true" selection-start-line="3" selection-start-column="9" selection-end-line="3" selection-end-column="9" />
          <folding>
            <element signature="e#71#99#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/impl/basic/incidence_predicates.hpp">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/impl/basic/rotation.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1972">
          <caret line="127" column="1" lean-forward="true" selection-start-line="127" selection-start-column="1" selection-end-line="127" selection-end-column="1" />
          <folding>
            <element signature="e#60#78#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/impl/basic/incidence.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-886">
          <caret line="2" column="18" lean-forward="true" selection-start-line="2" selection-start-column="18" selection-end-line="2" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/impl/basic/classes.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="192">
          <caret line="49" column="69" selection-start-line="49" selection-start-column="69" selection-end-line="49" selection-end-column="69" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/algorithms/path_decomposition/path_decomposition.hpp">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/graphs/basic.hpp">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/algorithms.hpp">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://C:/MinGW/include/c++/8.3.0/iostream">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="118">
          <caret line="73" selection-start-line="73" selection-end-line="73" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/impl/basic/rotation.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="952">
          <caret line="56" column="4" selection-start-line="56" selection-start-column="4" selection-end-line="56" selection-end-column="4" />
          <folding>
            <element signature="e#56#84#0" expanded="true" />
            <element signature="e#2360#2393#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/algorithms/paths.hpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-6153">
          <caret line="15" selection-start-line="15" selection-end-line="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/test/algorithms/test_paths.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="10" selection-start-line="10" selection-end-line="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/impl/basic/factory_functions.hpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="208">
          <caret line="35" column="91" selection-start-line="35" selection-start-column="89" selection-end-line="35" selection-end-column="91" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/impl/basic/incidence.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="208">
          <caret line="20" column="4" selection-start-line="20" selection-start-column="4" selection-end-line="20" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/impl/basic/basic_objects.hpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="241">
          <caret line="76" column="86" selection-start-line="76" selection-start-column="86" selection-end-line="76" selection-end-column="86" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/cmake-build-debug/CMakeFiles/Bachelor.dir/build.make">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1203" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/cmake-build-debug/CMakeFiles/Makefile2">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/impl/basic/graph.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="172">
          <caret line="123" column="16" selection-start-line="123" selection-start-column="16" selection-end-line="123" selection-end-column="16" />
          <folding>
            <element signature="e#50#78#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/impl/basic/factory.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="8" selection-start-line="8" selection-end-line="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://C:/MinGW/include/c++/8.3.0/bits/stl_vector.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="1075" selection-start-line="1075" selection-end-line="1075" />
        </state>
      </provider>
    </entry>
    <entry file="file://C:/MinGW/include/c++/8.3.0/bits/stl_pair.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="62">
          <caret line="341" selection-start-line="341" selection-end-line="341" />
        </state>
      </provider>
    </entry>
    <entry file="file://C:/MinGW/include/c++/8.3.0/bits/stl_set.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="96">
          <caret line="413" column="6" selection-start-line="413" selection-start-column="6" selection-end-line="413" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://C:/MinGW/include/c++/8.3.0/bits/vector.tcc">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="470" selection-start-line="470" selection-end-line="470" />
        </state>
      </provider>
    </entry>
    <entry file="file://C:/MinGW/include/c++/8.3.0/bits/stl_multiset.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="201">
          <caret line="69" column="10" selection-start-line="69" selection-start-column="10" selection-end-line="69" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/impl/basic/graph.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2617">
          <caret line="40" selection-start-line="40" selection-end-line="40" />
          <folding>
            <element signature="e#54#72#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tests/Makefile" />
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/test/impl/ALL.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#0#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/redBlackEdges.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="9" selection-start-line="9" selection-end-line="9" />
          <folding>
            <element signature="e#67#81#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/include/random/random_graphs.hpp">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/tests/googletest-master/googletest/include/gtest/gtest.h" />
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/test/random/test_random_graphs.cpp">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://C:/MinGW/i686-pc-mingw32/include/stdlib.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="208">
          <caret line="337" column="26" lean-forward="true" selection-start-line="337" selection-start-column="26" selection-end-line="337" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pathDecomposition.h" />
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/test/graphs/test_basic.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="18" selection-start-line="18" selection-end-line="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../BAgraph/BAgraph/test/graphs/Makefile">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="13" selection-start-line="13" selection-end-line="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://C:/MinGW/include/c++/8.3.0/bits/stl_tree.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="114">
          <caret line="174" selection-start-line="174" selection-end-line="174" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tests/test_redBlackEdges.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="3" column="33" selection-start-line="3" selection-start-column="33" selection-end-line="3" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/redBlackEdges.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-3536">
          <caret line="180" selection-start-line="180" selection-end-line="180" />
          <folding>
            <element signature="e#0#17#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/oneHelpfulSet.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2168">
          <caret line="229" selection-start-line="229" selection-end-line="229" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/cutSizeBisection.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1556">
          <caret line="16" selection-start-line="16" selection-end-line="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pathDecomposition.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="297">
          <caret line="173" column="46" selection-start-line="173" selection-start-column="46" selection-end-line="173" selection-end-column="46" />
          <folding>
            <element signature="e#0#19#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/cmake-build-debug/Makefile">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="372">
          <caret line="289" selection-start-line="289" selection-end-line="289" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Makefile">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="15" column="55" selection-start-line="15" selection-start-column="55" selection-end-line="15" selection-end-column="55" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/CMakeLists.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="272">
          <caret line="16" column="33" selection-start-line="16" selection-start-column="33" selection-end-line="16" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4063">
          <caret line="239" column="104" selection-start-line="239" selection-start-column="104" selection-end-line="239" selection-end-column="104" />
          <folding>
            <element signature="e#0#19#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>